﻿// <auto-generated />
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using task14.Models;

namespace task14.Migrations
{
    [DbContext(typeof(PeopleDbContext))]
    partial class PeopleDbContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "3.1.7")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("task14.Models.Person", b =>
                {
                    b.Property<int>("Pid")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("FirstName")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("LastName")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Pid");

                    b.ToTable("People");

                    b.HasData(
                        new
                        {
                            Pid = 1,
                            FirstName = "Ola",
                            LastName = "Nordmann"
                        },
                        new
                        {
                            Pid = 2,
                            FirstName = "Kari",
                            LastName = "Nordmann"
                        },
                        new
                        {
                            Pid = 3,
                            FirstName = "Navn",
                            LastName = "Navnesen"
                        },
                        new
                        {
                            Pid = 4,
                            FirstName = "Placeholder",
                            LastName = "Placeholderson"
                        });
                });
#pragma warning restore 612, 618
        }
    }
}
